This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 440258 - grep-mem-exhausted.patch introduces regressions
grep-mem-exhausted.patch introduces regressions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: grep (Show other bugs)
4.5
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Stepan Kasal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 10:54 EDT by Simon Vallet
Modified: 2009-05-18 16:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 481765 (view as bug list)
Environment:
Last Closed: 2009-05-18 16:34:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Vallet 2008-04-02 10:54:49 EDT
Description of problem:

grep-2.5.2-32.3 from RHEL 4.5 seems to fail on large files :

$ grep '12884102-12884161_12884190-12884243;9,5;28' /env/cns/tmp/test_file
$

$ tail /env/cns/tmp/test_file > /env/cns/tmp/test_file.tail
$ grep '12884102-12884161_12884190-12884243;9,5;28' /env/cns/tmp/test_file.tail 
../lecures_NM_eland_result.seq-15290226 TGGGGGAGGGTTTTTTGTTTTATAAAGATGATC [...]
$

It appears this behaviour has been introduced by the grep-mem-exhausted.patch --
the problem disappears if we rebuild an RPM without this patch.

Version-Release number of selected component (if applicable):

grep-2.5.2-32.3

How reproducible:

always

Steps to Reproduce:
1. wget http://www.genoscope.cns.fr/externe/test_file (warning: 1gb)
2. grep '12884102-12884161_12884190-12884243;9,5;28' /env/cns/tmp/test_file
  
Actual results:

No output

Expected results:

The last line of this file contains the pattern (see above)

Additional info:

Re-building without patch #9 (grep-mem-exhausted.patch) solves the problem
Comment 3 Stepan Kasal 2009-01-27 11:02:45 EST
Please note that grep-mem-exhausted.patch was introduced to fix bug #198167.
Though the patch might actually get removed on future releases of RHEL, I decided to keep a modified version in RHEL 4 updates: when the buffer limit (200MB) is reached, grep bails out with a message "line too long".

Keep in mind that grep is a tool for processing text files; it is not suited to search arbitrary data.
Comment 4 Stepan Kasal 2009-01-30 03:35:09 EST
Fedora rawhide clone: bug 481765
RHEL 5 clone: bug 483073
Comment 7 errata-xmlrpc 2009-05-18 16:34:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1019.html

Note You need to log in before you can comment on or make changes to this bug.